
/*
 *  SCSI/TYPES.H
 */

#ifndef SCSI_TYPES_H
#define SCSI_TYPES_H

#include <exec/types.h>
#include <exec/ports.h>
#include <exec/io.h>
#include <exec/memory.h>
#include <devices/scsidisk.h>
#include <libraries/dos.h>
#include <libraries/dosextens.h>
#include <libraries/filehandler.h>
#include <clib/exec_protos.h>
#include <clib/alib_protos.h>

#define Prototype extern

typedef struct MsgPort	 MsgPort;
typedef struct IOStdReq  IOStdReq;
typedef struct IORequest IORequest;
typedef struct SCSICmd	 SCSICmd;

typedef struct SCSIReq {
    IOStdReq sr_Req;
    SCSICmd  sr_Cmd;
} SCSIReq;

typedef unsigned char  ubyte;
typedef unsigned short uword;
typedef unsigned long  ulong;

#endif

